<template>
  <b-button
    variant="success"
    :to="{
      path: '/report',
      query: { system: system.id, test: selectedTest, build: selectedBuild }
    }"
  >
    <b-icon-file-plus />
    Run
  </b-button>
</template>

<script>
export default {
  name: "CreateRun",
  props: {
    selectedTest: {
      type: String,
      default() {
        return undefined;
      }
    },
    selectedBuild: {
      type: String,
      default() {
        return undefined;
      }
    },
    system: {
      type: Object,
      default() {
        return {
          id: undefined
        };
      }
    }
  }
};
</script>
